Name:           letsencrypt
Version:        0.1.2
Release:        1%{?dist}
Summary:        A free, automated certificate authority client


License:        ASL 2.0
URL:            https://letsencrypt.org/
Source0:        https://pypi.python.org/packages/source/l/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

Requires: python2-letsencrypt = %{version}-%{release}

# Required for documentation
BuildRequires: python-sphinx
BuildRequires: python-repoze-sphinx-autointerface
BuildRequires: python-sphinx_rtd_theme
BuildRequires: python-sphinxcontrib-programoutput


#Require for testing
BuildRequires: python-nose-xcover
BuildRequires: python-pep8
BuildRequires: python-tox
BuildRequires: python-mock
BuildRequires: python-zope-interface
BuildRequires: python-zope-component
BuildRequires: python-requests
BuildRequires: python2-dialog >= 3.3.0
BuildRequires: python-psutil
BuildRequires: python-parsedatetime
BuildRequires: python-configobj
BuildRequires: python2-configargparse
BuildRequires: python2-acme >= 0.1.0


%description
Let's Encrypt is a free, automated certificate authority that aims
to lower the barriers to entry for encrypting all HTTP traffic on the internet.

%package -n python2-letsencrypt
Requires:   python2-configargparse
Requires:   python2-dialog >= 3.3.0
Requires:   python-parsedatetime
Requires:   python-mock
Requires:   python-zope-interface
Requires:   python-zope-component
Requires:   python-psutil
Requires:   python-configobj
Requires:   python2-acme >= 0.1.0
#Recommends: letsencrypt-doc
Summary:    Python 2 libraries used by letsencrypt
%{?python_provide:%python_provide python2-letsencrypt}

%{!?py2_build: %global py2_build CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build}
%{!?py2_install: %global py2_install %{__python} setup.py install --skip-build --root %{buildroot}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}

%description -n python2-letsencrypt
The python2 libraries to interface with letsencrypt

%prep
%autosetup -n %{name}-%{version}


%build
# We are using letsencrypt and not supporting letsencrypt-auto
sed -i 's/letsencrypt-auto/letsencrypt/g' letsencrypt/cli.py
%py2_build

# build documentation
%{__python2} setup.py install --user
make -C docs html man PATH=${HOME}/.local/bin:$PATH

# Clean up stuff we don't need fof docs
rm -rf docs/_build/html/{.buildinfo,_sources}

%install
%py2_install

# Unbundle fonts already on system and put the html docs in place
# Lato ttf is in texlive but that adds a lot of dependencies (30+MB) for just a font in documentation
# and lato is not in it's own -fonts package, only texlive
#rm -f docs/_build/html/_static/fonts/fontawesome*
#ln -sf /usr/share/fonts/fontawesome/fontawesome-webfont.eot docs/_build/html/_static/fonts/fontawesome-webfont.eot
#ln -sf /usr/share/fonts/fontawesome/fontawesome-webfont.svg docs/_build/html/_static/fonts/fontawesome-webfont.svg
#ln -sf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf docs/_build/html/_static/fonts/fontawesome-webfont.ttf
#ln -sf /usr/share/fonts/fontawesome/fontawesome-webfont.woff docs/_build/html/_static/fonts/fontawesome-webfont.woff

# Put the man pages in place
#install -pD -t %{buildroot}%{_mandir}/man1 docs/_build/man/*1*


%check
#%{__python2} setup.py test

%files
%license LICENSE.txt
%doc README.rst CHANGES.rst CONTRIBUTING.md
%{_bindir}/letsencrypt
%{_bindir}/letsencrypt-renewer
#%doc %attr(0644,root,root) %{_mandir}/man1/%{name}*
%ghost %config(noreplace) %{_sysconfdir}/%{name}

%files -n python2-letsencrypt
%license LICENSE.txt
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Tue Dec 08 2015 james <james.hogarth@gmail.com> - 0.1.0-3
- Bumping release to maintain upgrade path

* Fri Dec 04 2015 James Hogarth <james.hogarth@gmail.com> - 0.1.0-2
- Add documentation from upstream
* Thu Dec 03 2015 James Hogarth <james.hogarth@gmail.com> - 0.1.0-1
- Update to new upstream release for the open beta
* Thu Dec 03 2015 James Hogarth <james.hogarth@gmail.com> - 0.0.0-5.dev20151123
- Add missing build requirements that slipped through
* Wed Dec 02 2015 James Hogarth <james.hogarth@gmail.com> - 0.0.0-4.dev20151123
- The python2 library should have the dependencies and not the bindir one
* Wed Dec 02 2015 James Hogarth <james.hogarth@gmail.com> - 0.0.0-3.dev20151123
- Separate out the python libraries from the application itself
- Enable python tests
* Tue Dec 01 2015 James Hogarth <james.hogarth@gmail.com> - 0.0.0-2.dev20151123
- Update spec to account for the runtime dependencies discovered
- Update spec to sit inline with current python practices
* Sun Apr 26 2015 Torrie Fischer <tdfischer@hackerbots.net> 0-1.git1d8281d.fc20
- Initial package
